Package Details: g-desktop-suite-git 0.2.1.r54.g7f6d54a-1

Git Clone URL: https://aur.archlinux.org/g-desktop-suite-git.git (read-only, click to copy)
Package Base: g-desktop-suite-git
Description: Google Suite as a desktop app. Made possible with Electron.
Upstream URL: https://github.com/alexkim205/G-Desktop-Suite
Keywords: drive google
Licenses: MIT
Conflicts: g-desktop-suite, gdesktopsuite
Provides: g-desktop-suite, gdesktopsuite
Submitter: wynneplaga
Maintainer: wynneplaga
Last Packager: wynneplaga
Votes: 0
Popularity: 0.000000
First Submitted: 2020-05-19 03:47
Last Updated: 2020-05-21 03:56

Latest Comments

evelyn commented on 2020-07-11 21:38

bsdtar: Error opening archive: Failed to open 'dist/gdesktopsuite-*.pacman'

I receive the above error when building.

jrabensc commented on 2020-05-22 10:22

This fails for me:

==> Entering fakeroot environment... ==> Starting package()... ln: failed to create symbolic link '/usr/bin/gdesktopsuite': Permission denied ==> ERROR: A failure occurred in package(). Aborting...

wynneplaga commented on 2020-05-21 03:56

Not forgot, just done incorrectly.

The more you know.

yochananmarqos commented on 2020-05-21 02:42

You forgot to run makepkg --printsrcinfo > .SRCINFO. ;)

post_install() and post_remove() functions belong in a separate install file, not in the PKGBUILD. You don't need any of that as the package() function covers everything. Pacman also automatically updates the mime and desktop database, this isn't Debian.

yochananmarqos commented on 2020-05-21 00:47

Runtime dependencies are missing, see the Debian control file. yarn is only a build dependency. The bsdtar command can be used instead of tar and does not require any additional dependencies as pacman requires libarchive.

Please use a temporary Yarn cache as not to clutter the user's home directory.

There's no need to change the file extension from .pacman to .tar.xz, the XZ compression will be detected automatically.

Improved PKGBUILD.